Bug 1254233 - pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:5ba4c902e2befbb0cfb677108b2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 09:22 EDT by Leandro Santiago
Modified: 2017-08-08 08:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:08:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (332.71 KB, text/plain)
2015-08-17 09:22 EDT, Leandro Santiago
no flags Details
File: anaconda.log (11.12 KB, text/plain)
2015-08-17 09:22 EDT, Leandro Santiago
no flags Details
File: environ (494 bytes, text/plain)
2015-08-17 09:22 EDT, Leandro Santiago
no flags Details
File: ks.cfg (1.49 KB, text/plain)
2015-08-17 09:22 EDT, Leandro Santiago
no flags Details
File: lsblk_output (1.78 KB, text/plain)
2015-08-17 09:22 EDT, Leandro Santiago
no flags Details
File: nmcli_dev_list (1.18 KB, text/plain)
2015-08-17 09:22 EDT, Leandro Santiago
no flags Details
File: os_info (451 bytes, text/plain)
2015-08-17 09:22 EDT, Leandro Santiago
no flags Details
File: program.log (102.25 KB, text/plain)
2015-08-17 09:22 EDT, Leandro Santiago
no flags Details
File: storage.log (72.97 KB, text/plain)
2015-08-17 09:22 EDT, Leandro Santiago
no flags Details
File: syslog (55.83 KB, text/plain)
2015-08-17 09:22 EDT, Leandro Santiago
no flags Details
File: ifcfg.log (1.89 KB, text/plain)
2015-08-17 09:22 EDT, Leandro Santiago
no flags Details

  None (edit)
Description Leandro Santiago 2015-08-17 09:22:12 EDT
Description of problem:


Version-Release number of selected component:
anaconda-23.19-1

The following was filed automatically by anaconda:
anaconda 23.19-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 1579, in write_config
    raise BootLoaderError("failed to write boot loader configuration")
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 1626, in write
    self.write_config()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 2375, in writeBootLoaderFinal
    storage.bootloader.write()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 2402, in writeBootLoader
    writeBootLoaderFinal(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/install.py", line 241, in doInstall
    writeBootLoader(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   inst.stage2=hd:LABEL=Fedora-rawhide-x86_64 ks=http://10.0.2.2:10000/setup.ks
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-0.rc6.git1.1.fc24.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        Rawhide
Comment 1 Leandro Santiago 2015-08-17 09:22:15 EDT
Created attachment 1063823 [details]
File: anaconda-tb
Comment 2 Leandro Santiago 2015-08-17 09:22:16 EDT
Created attachment 1063824 [details]
File: anaconda.log
Comment 3 Leandro Santiago 2015-08-17 09:22:18 EDT
Created attachment 1063825 [details]
File: environ
Comment 4 Leandro Santiago 2015-08-17 09:22:19 EDT
Created attachment 1063826 [details]
File: ks.cfg
Comment 5 Leandro Santiago 2015-08-17 09:22:20 EDT
Created attachment 1063827 [details]
File: lsblk_output
Comment 6 Leandro Santiago 2015-08-17 09:22:21 EDT
Created attachment 1063828 [details]
File: nmcli_dev_list
Comment 7 Leandro Santiago 2015-08-17 09:22:22 EDT
Created attachment 1063829 [details]
File: os_info
Comment 8 Leandro Santiago 2015-08-17 09:22:24 EDT
Created attachment 1063830 [details]
File: program.log
Comment 9 Leandro Santiago 2015-08-17 09:22:26 EDT
Created attachment 1063831 [details]
File: storage.log
Comment 10 Leandro Santiago 2015-08-17 09:22:28 EDT
Created attachment 1063832 [details]
File: syslog
Comment 11 Leandro Santiago 2015-08-17 09:22:29 EDT
Created attachment 1063833 [details]
File: ifcfg.log
Comment 12 Jan Kurik 2016-02-24 08:37:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 13 Fedora End Of Life 2017-07-25 15:09:39 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2017-08-08 08:08:35 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.